// RuntimeForStatic base library | C+- (SysRoutine) | Author: Sergei Y.Kitáev
#include "Precompiled.h"
#include "SharedIncludes.h"
namespace RuntimeForStatic {
//==================================================================================================

$InFunctionScopeTracer::$InFunctionScopeTracer($A,PCWSTR funcNameOrSignature)
{
   $$VERIFY_POINTER_ARG( funcNameOrSignature );
   $Tracer::TraceInFunction($, _FuncNameOrSignature_ = funcNameOrSignature );
}

$InFunctionScopeTracer::~$InFunctionScopeTracer()
{
   $$VERIFY_POINTER( _FuncNameOrSignature_ );
   $Tracer::TraceOutOfFunction($, $subst::NullExchange( _FuncNameOrSignature_ ) );
}

//==================================================================================================
} // RuntimeForStatic
